Update PaymentCopy Pageput https://api.prahsys.com/yments/n1/merchant/{merchantId}/payment/{paymentId}Path ParamsmerchantIdstringrequiredThe merchant IDpaymentIdstringrequired(optional) string identifier for the payment with max of 40 character. If not provided, one will be auto-generatedBody Paramsidstring | nullUnique identifier for the paymentmerchantIdstring | nullIdentifier for the merchant associated with the paymentorderIdstring | nullUnique identifier for the order associated with the paymentamountnumberTotal amount of the paymentcashAmountnumber | nullThe cash amount provided by the customer. When provided, the amount field is automatically calculated by applying the merchant's cash discount rate. Cannot be provided together with amount — provide only one.currencystringCurrency of the payment amount in ISO 4217 formatdescriptionstring | nullDescription of the paymentcustomarray of strings or nullCustom payment data specific to the merchantcustomADD string | nulltypestring | nullenumType of payment (PRIMARY, FEES, or ADDITIONAL_CHARGES)PRIMARYFEESADDITIONAL_CHARGESAllowed:PRIMARYFEESADDITIONAL_CHARGESinvoiceNumberstring | nullInvoice number associated with the paymentcertaintystring | nullenumpayment certainty statusESTIMATEDFINALAllowed:ESTIMATEDFINALstatementDescriptorobject | nullStatement descriptor information for card statementsstatementDescriptor object | nullbillingobject | nullBilling information for the transactionbilling object | nullcustomerobject | nullCustomer informationcustomer object | nullHeadersX-Prahsys-VersionstringResponses 200Response from updating a payment (Full Example) 400Validation error response (Validation Error Example) 401Authorization error response (Unauthorized Example) 500Error response (Server Error Example)Updated about 1 month ago